Skip to main content
PUT
/
mpc
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
update
curl -X PUT "https://api.cryptomate.me/mpc/accounts/acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/wallets/wallet_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/update" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "alias": "Polygon Operations Wallet"
  }'
{
  "id": "wallet_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Polygon Operations Wallet",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": true
}
Updates wallet details such as the alias. Requires an API key with access level 2 or higher.

Path parameters

accountId
string
required
The treasury account ID.
walletId
string
required
The wallet ID to update.

Body

alias
string
required
New friendly alias name for the wallet.

Response

id
string
Unique wallet identifier.
alias
string
Friendly alias name for the wallet.
wallet_address
string
Blockchain wallet address.
blockchain
string
Blockchain network.
enabled
boolean
Whether the wallet is enabled for transactions.
curl -X PUT "https://api.cryptomate.me/mpc/accounts/acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/wallets/wallet_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/update" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "alias": "Polygon Operations Wallet"
  }'
{
  "id": "wallet_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Polygon Operations Wallet",
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": true
}